Get one entity of a business registry on the dataset
curl --request GET \
--url https://api.investorlift.com/v3/entities/{state}/{no} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/entities/{state}/{no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/entities/{state}/{no}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"entity_no": "L09606353",
"state": "AZ",
"name": "BLK REAL ESTATE, L.L.C.",
"display_name": "BLK REAL ESTATE LLC",
"kind": "LLC",
"type_as_filed": "Domestic Limited Liability Company",
"status": "Inactive",
"formation_date": "2000-08-23",
"approval_date": "2000-08-23",
"is_foreign": false,
"domicile": "AZ",
"character_of_business": null,
"former_names": [],
"principal_address": {
"line1": "% BLK REAL ESTATE LLC 6429 E ASHLER HILLS DR",
"line2": null,
"city": "CAVE CREEK",
"state": "AZ",
"zip": "85331"
},
"known_place_of_business": {
"line1": null,
"line2": null,
"city": null,
"state": null,
"zip": null
},
"statutory_agent": {
"name": null,
"address": {
"line1": "6429 E ASHLER HILLS DR",
"line2": null,
"city": "CAVE CREEK",
"state": "AZ",
"zip": "85331"
},
"mailing_line1": "6429 E ASHLER HILLS DR",
"mailing_zip": "85331",
"status": "Active",
"status_date": null
},
"org": {
"org_id": "AZ:L09606353",
"display_name": "ZAK VENTURES LLC",
"refused": false
},
"links": [
{
"link_class": "person",
"link_key": null,
"rule": "agent_principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 16
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 16
}
],
"people": [],
"companies": [],
"holdings": [],
"n_holdings": 0,
"n_agent_for": 0
},
"meta": {
"generated_at": "2026-10-18T21:38:34.282Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": "5ca22a59",
"built_at": "2026-10-18T21:14:14.380Z",
"published_at": "2026-10-18T21:29:36.244Z",
"run_id": 1792358069,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}The dataset (/v3)
Get one entity of a business registry on the dataset
Get one entity of a business registry on the dataset.
GET
/
v3
/
entities
/
{state}
/
{no}
Get one entity of a business registry on the dataset
curl --request GET \
--url https://api.investorlift.com/v3/entities/{state}/{no} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/entities/{state}/{no}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/entities/{state}/{no}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"entity_no": "L09606353",
"state": "AZ",
"name": "BLK REAL ESTATE, L.L.C.",
"display_name": "BLK REAL ESTATE LLC",
"kind": "LLC",
"type_as_filed": "Domestic Limited Liability Company",
"status": "Inactive",
"formation_date": "2000-08-23",
"approval_date": "2000-08-23",
"is_foreign": false,
"domicile": "AZ",
"character_of_business": null,
"former_names": [],
"principal_address": {
"line1": "% BLK REAL ESTATE LLC 6429 E ASHLER HILLS DR",
"line2": null,
"city": "CAVE CREEK",
"state": "AZ",
"zip": "85331"
},
"known_place_of_business": {
"line1": null,
"line2": null,
"city": null,
"state": null,
"zip": null
},
"statutory_agent": {
"name": null,
"address": {
"line1": "6429 E ASHLER HILLS DR",
"line2": null,
"city": "CAVE CREEK",
"state": "AZ",
"zip": "85331"
},
"mailing_line1": "6429 E ASHLER HILLS DR",
"mailing_zip": "85331",
"status": "Active",
"status_date": null
},
"org": {
"org_id": "AZ:L09606353",
"display_name": "ZAK VENTURES LLC",
"refused": false
},
"links": [
{
"link_class": "person",
"link_key": null,
"rule": "agent_principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 16
},
{
"link_class": "person",
"link_key": null,
"rule": "principal",
"kept": true,
"joined": true,
"drop_reason": null,
"n_entities": 16
}
],
"people": [],
"companies": [],
"holdings": [],
"n_holdings": 0,
"n_agent_for": 0
},
"meta": {
"generated_at": "2026-10-18T21:38:34.282Z",
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": "5ca22a59",
"built_at": "2026-10-18T21:14:14.380Z",
"published_at": "2026-10-18T21:29:36.244Z",
"run_id": 1792358069,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887",
"str_as_of": "2026-10-18"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null,
"str_as_of": null
}
]
}
}
}This route serves the dataset under
/v3/entities/{state}/{no}. See The dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key. The same key works on POST /mcp.
Path Parameters
The 2-letter state of the registry, for example AZ.
Pattern:
^[A-Z]{2}$The registry number of the entity, as an organization body spells it, for example L17142520.
Pattern:
^[A-Z0-9-]{1,40}$Response
One entity.
One entity.
One entity of a business registry: the filing facts, its organization, its links, the persons and the companies that file with it, and what it holds.
Show child attributes
Show child attributes
Response metadata of the /v3 family: when the API produced it, and the publishes behind the rows.
Show child attributes
Show child attributes
Was this page helpful?